unit Qdemo;

interface

//*************************************************************************//
//                                                                         //
//    ZOCK'S COMPONENTS                                                    //
//                                                                         //
//    DEMOPROGRAM FOR CONNECTIX B/W QUICKCAM V 1.0     07/07/97            //
//                                                                         //
//    This little demo program show you how to use my Quickcam-component.  //
//    If you want to buy it, send me an e-mail for further information:    //
//                                                                         //
//    you will reach me at "zockrattes@aol.com"                            //
//                                                                         //
//    The price of this component is $20                                   //
//                                   $40 including full source             //
//                                                                         //
//    HOPE YOU'LL ENJOY                                                    //
//                                                                         //
//*************************************************************************//

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Quickcam, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    QuickCam1: TQuickCam;
    Panel1: TPanel;
    StatusBox: TCheckBox;
    AdjustBox: TCheckBox;
    SlowAdjustBox: TCheckBox;
    LPTBox: TComboBox;
    FreezeBox: TCheckBox;
    Invertbox: TCheckBox;
    BrightBar: TTrackBar;
    ContrastBar: TTrackBar;
    WhiteBar: TTrackBar;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    ModeBox: TComboBox;
    procedure StatusBoxClick(Sender: TObject);
    procedure AdjustBoxClick(Sender: TObject);
    procedure SlowAdjustBoxClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure LPTBoxChange(Sender: TObject);
    procedure FreezeBoxClick(Sender: TObject);
    procedure InvertboxClick(Sender: TObject);
    procedure QuickCam1Picture(Sender: TObject);
    procedure BrightBarChange(Sender: TObject);
    procedure ContrastBarChange(Sender: TObject);
    procedure WhiteBarChange(Sender: TObject);
    procedure ModeBoxChange(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.StatusBoxClick(Sender: TObject);
begin
   Quickcam1.ShowStatus:=StatusBox.Checked;
   Quickcam1.refresh;
end;

procedure TForm1.AdjustBoxClick(Sender: TObject);
begin
   QuickCam1.Autoadjust:=AdjustBox.Checked;
   SlowAdjustBox.Enabled:=AdjustBox.Checked;
   BrightBar.Enabled:=Not AdjustBox.Checked;
   Label1.Enabled:=Not AdjustBox.Checked;
end;

procedure TForm1.SlowAdjustBoxClick(Sender: TObject);
begin
   QuickCam1.Slowadjust:=SlowAdjustBox.Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  LptBox.Itemindex:=0;
  ModeBox.Itemindex:=0;
  Brightbar.Position:=Quickcam1.Brightness;
  Contrastbar.Position:=Quickcam1.Contrast;
  Whitebar.Position:=Quickcam1.WhiteNess;
end;

procedure TForm1.LPTBoxChange(Sender: TObject);
begin
   Quickcam1.LptPort:=TPort(LptBox.Itemindex);
end;

procedure TForm1.FreezeBoxClick(Sender: TObject);
begin
   Quickcam1.DoDisplay:=not FreezeBox.Checked;
   Quickcam1.Refresh;
end;


procedure TForm1.InvertboxClick(Sender: TObject);
begin
   Quickcam1.Inverted:=InvertBox.Checked;
   Quickcam1.Refresh;
end;

procedure TForm1.QuickCam1Picture(Sender: TObject);
begin
   If QuickCam1.Autoadjust then
     BrightBar.Position:=Quickcam1.Brightness;
end;

procedure TForm1.BrightBarChange(Sender: TObject);
begin
   Quickcam1.Brightness:=BrightBar.Position;
end;

procedure TForm1.ContrastBarChange(Sender: TObject);
begin
   Quickcam1.Contrast:=ContrastBar.Position;
end;

procedure TForm1.WhiteBarChange(Sender: TObject);
begin
   Quickcam1.Whiteness:=WhiteBar.Position;
end;

procedure TForm1.ModeBoxChange(Sender: TObject);
begin
   Quickcam1.PortMode:=TPortMode(ModeBox.Itemindex);
end;

end.
